export namespace HttpProtocol {
  export const DefaultHttpPort = 61429;
  export const RequestUploadFile = "/upload_file";
  export const RequestPathUpdateDBBackupFile = "/common/update_db_backup_file";
  export const RequestPathDBBackup = "/db_backup";
  export const RequestPathListFile = "/list_file";
  export const RequestPathCreateDirectory = "/create_directory";
  export const RequestPathDeleteFile = "/delete_file";
  export const RequestPathRenameFile = "/rename_file";

  export const HttpUploadTypeNormal = "U_T_Normal";
  export const UploadTypeBackgroundImage = "U_T_BACKGROUND_IMAGE";
  export const UploadTypeMedia = "U_T_MEDIA";
  export const UploadTypeDatabase = "U_T_DATABASE";
  export const UploadTypeRootFS = "U_T_ROOT_FS";
  export const UploadTypeSoftware = "U_T_SOFTWARE";

  export const kHeaderXFileLength = "X-File-Length";
  export const kHeaderXFileMD5 = "X-File-MD5";
  export const kHeaderXProductName = "X-Product-Name";
  export const kHeaderDefaultValueXProductName = "RK_3568";
}
